
Website Monitoring - Bug #1902

Creating a new input fails from the main Splunk input creation page

06/28/2017 06:28 PM - Luke Murphey

Status: Rejected Start date: 06/28/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.3   

Description

History

#1 - 06/30/2017 06:11 AM - Luke Murphey

This works on Windows for some reason (on 6.5.2).

#2 - 06/30/2017 07:08 AM - Luke Murphey

Uncaught TypeError: Cannot read property 'get' of undefined

    at child.step (:8000/en-US/static/@77B103F58E64121E61B3C5BE811A20D6C7875F9ED1322F04155AEB31E1B02EFE.100/bu

ild/pages/enterprise/common.js:294)

    at child.stepWithPromise (:8000/en-US/static/@77B103F58E64121E61B3C5BE811A20D6C7875F9ED1322F04155AEB31E1B0

2EFE.100/build/pages/enterprise/common.js:294)

    at child.stepForward (:8000/en-US/static/@77B103F58E64121E61B3C5BE811A20D6C7875F9ED1322F04155AEB31E1B02EFE

.100/build/pages/enterprise/common.js:294)

    at triggerEvents (:8000/en-US/static/@77B103F58E64121E61B3C5BE811A20D6C7875F9ED1322F04155AEB31E1B02EFE.100

/build/pages/enterprise/common.js:29)

    at child.trigger (:8000/en-US/static/@77B103F58E64121E61B3C5BE811A20D6C7875F9ED1322F04155AEB31E1B02EFE.100

/build/pages/enterprise/common.js:29)

    at child.stepForward (:8000/en-US/static/@77B103F58E64121E61B3C5BE811A20D6C7875F9ED1322F04155AEB31E1B02EFE

.100/build/pages/enterprise/adddata.js:27)

    at child.receiveMessage (:8000/en-US/static/@77B103F58E64121E61B3C5BE811A20D6C7875F9ED1322F04155AEB31E1B02

EFE.100/build/pages/enterprise/adddata.js:19)

#3 - 06/30/2017 07:15 AM - Luke Murphey

Tried:

1. Calling the original function in the done() call (asynchronously)

2. Not calling the original function

3. Calling the original function synchronously (and returning result)

4. Calling the original function synchronously (and not returning result)

5. Not calling the original at all

6. Hooking the submit function

1. This makes the next button not work at all

7. Hooking the body.submit

8. Removing the handler altogether
9. Removing the entire secure password handler

1. The secure password handlers doesn't appear to be the cause

10. Restoring the original page

#4 - 06/30/2017 07:45 AM - Luke Murphey

I see this even on the original setup page.

#5 - 06/30/2017 07:45 AM - Luke Murphey

- % Done changed from 0 to 50

#6 - 06/30/2017 07:51 AM - Luke Murphey

Bing search app shows the same error.

#7 - 06/30/2017 07:52 AM - Luke Murphey

Need to confirm that the issue is still present on the mac.

#8 - 06/30/2017 09:39 PM - Luke Murphey

- Status changed from New to Rejected

- % Done changed from 50 to 100

#9 - 06/30/2017 09:39 PM - Luke Murphey

Mac works fine despite error message.
